const request = require('supertest');
const { expect } = require('chai');
const app = require('../../src/app');

describe('GET /hardware', () => {
  beforeEach(async () => {
    const res = await request(app).get('/hardware');
    this.res = res;
  });

  it('should return a redirect', async () => {
    expect(this.res.status).to.equal(302);
  });

  it('should redirect to /hardware/list', async () => {
    expect(this.res.headers['location']).contains('/hardware/list');
  });
});

describe('GET /hardware/list', () => {
  beforeEach(async () => {
    const res = await request(app).get('/hardware/list');
    this.res = res;
  });

  it('should return a 200 status', async () => {
    expect(this.res.status).to.equal(200);
  });

  it('should return an HTML response', async () => {
    expect(this.res.headers['content-type']).match(/text\/html/);
  });
});
